# Cinder

# cinder::cairo::FontOptions Class Reference

`#include <Cairo.h>`

List of all members.

## Public Member Functions
| FontOptions ()
| FontOptions (cairo_font_options_t *aCairoFontOptions)
virtual | ~FontOptions ()
cairo_font_options_t * | getCairoFontOptions ()
FontOptions * | create ()
int32_t | status ()
void | merge (const FontOptions *other)
unsigned long | hash ()
bool | equal (const FontOptions *other)
void | setAntiAlias (int32_t antialias)
int32_t | getAntiAlias ()
void | setSubPixelOrder (int32_t subpixel_order)
int32_t | getSubPixelOrder ()
void | setHintStyle (int32_t hint_style)
int32_t | getHintStyle ()
void | setHintMetrics (int32_t hint_metrics)
int32_t | getHintMetrics ()

## Constructor & Destructor Documentation

cinder::cairo::FontOptions::FontOptions | ( |  | ) |

cinder::cairo::FontOptions::FontOptions | ( | cairo_font_options_t * | aCairoFontOptions | ) |

cinder::cairo::FontOptions::~FontOptions | ( |  | ) | `[virtual]`

## Member Function Documentation

cairo_font_options_t* cinder::cairo::FontOptions::getCairoFontOptions | ( |  | ) |

FontOptions * cinder::cairo::FontOptions::create | ( |  | ) |

int32_t cinder::cairo::FontOptions::status | ( |  | ) |

void cinder::cairo::FontOptions::merge | ( | const FontOptions * | other | ) |

unsigned long cinder::cairo::FontOptions::hash | ( |  | ) |

bool cinder::cairo::FontOptions::equal | ( | const FontOptions * | other | ) |

void cinder::cairo::FontOptions::setAntiAlias | ( | int32_t | antialias | ) |

int32_t cinder::cairo::FontOptions::getAntiAlias | ( |  | ) |

void cinder::cairo::FontOptions::setSubPixelOrder | ( | int32_t | subpixel_order | ) |

int32_t cinder::cairo::FontOptions::getSubPixelOrder | ( |  | ) |

void cinder::cairo::FontOptions::setHintStyle | ( | int32_t | hint_style | ) |

int32_t cinder::cairo::FontOptions::getHintStyle | ( |  | ) |

void cinder::cairo::FontOptions::setHintMetrics | ( | int32_t | hint_metrics | ) |

int32_t cinder::cairo::FontOptions::getHintMetrics | ( |  | ) |

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp